> ## Documentation Index
> Fetch the complete documentation index at: https://api-docs.helpyousponsor.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Add a sponsorship form to a program



## OpenAPI

````yaml post /admin/program/form/sponsorship
openapi: 3.0.0
info:
  title: Example for response examples value
  version: '1.0'
servers:
  - url: https://api.helpyousponsor.com/v1
    description: Production
security: []
paths:
  /admin/program/form/sponsorship:
    post:
      tags:
        - Manage Program
      summary: Add a sponsorship form to a program
      operationId: 16e0596958e4525b30ca35079a33d8b4
      requestBody:
        description: Data needed to add a sponsorship to a program
        required: true
        content:
          application/json:
            schema:
              properties:
                id:
                  description: The ID of the program.
                  type: integer
                  example: '1'
                sponsorship_form:
                  type: integer
                  example: '1'
                client_id:
                  description: The ID of the client.
                  type: string
                  example: '1'
              type: object
      responses:
        '200':
          description: Successfully added sponsorship to program
          content:
            application/json:
              schema:
                properties:
                  message:
                    type: string
                    example: Successfully Added Sponsorship To Program
                type: object
        '404':
          description: Recipient form does not exist
          content:
            application/json:
              schema:
                properties:
                  message:
                    type: string
                    example: Recipient form does not exist
                type: object
      security:
        - apiKeyAuth: []
components:
  securitySchemes:
    apiKeyAuth:
      type: apiKey
      description: 'API key generated from Developer Settings. Format: hys_...'
      name: X-HYS-API-Key
      in: header

````